require 'json'
require 'logger'

class Supportal::MicrosLogger

  def self.create(stream)
    logger = Logger.new(stream)
    logger.formatter = proc do |severity, datetime, progname, msg|
      { time: datetime, type: severity, message: msg }.to_json + "\n"
    end
    return logger
  end

end
